#!/usr/bin/env python

from __future__ import print_function

import argparse
import numpy as np
import os
import spectral.io

def main():
    parser = argparse.ArgumentParser()
    parser.add_argument("--width", help="Width of the map", type=int,
                        default=3)
    parser.add_argument("--height", help="Height of the map", type=int,
                        default=2)
    parser.add_argument("--step", help="Amount to increment each pixel by",
                        type=float, default=10)
    args = parser.parse_args()

    params = [-400, 0.1, 0.01, 1, -0.0005]

    bMap = np.zeros((args.height, args.width, 5), dtype=float)
    for y in range(0, args.height):
        for x in range(0, args.width):
            bMap[y,x,:] = params
            bMap[y,x,0] = bMap[y,x,0] + args.step * (y * args.width + x)

    spectral.io.envi.save_image("panel.img.hdr", bMap)
    os.rename("panel.img.img", "panel.img")

if __name__ == "__main__":
    main()
